On Tue, 2020-05-12 at 11:25 +0100, Daniel P. Berrangé wrote:
The docs build needs to validate one axis
- A variety of publican versions
We get coverage for this by running builds across various distros.
The CentOS 8 build is picked as the special one, from which we
Based on the patch, this should be s/8/7/, since we don't build
on CentOS 8 at all. But see below.
+# centos-7-docs is special as it is the one
+# we publish from
+pages:
+ <<: *docs_job_definition
+ variables:
+ NAME: centos-7
+ artifacts:
+ paths:
+ - public
We should drop support for RHEL 7 in about a year, so I suggest we
run this job on something with a longer shelf life, like for example
Ubuntu 20.04, to reduce churn.
+++ b/ci/refresh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+if test -z "$1"
+then
+ echo "syntax: $0 PATH-TO-LCITOOL"
+ exit 1
+fi
+
+LCITOOL=$1
+
+if ! test -x "$LCITOOL"
+then
+ echo "$LCITOOL is not executable"
+ exit 1
+fi
+
+HOSTS=$($LCITOOL hosts | grep -v -E '(freebsd|centos-8|opensus)')
s/opensus/opensuse/
--
Andrea Bolognani / Red Hat / Virtualization